<?php echo view('includes/sidebar'); ?>
<script type="text/javascript" src="<?php echo base_url('public/assets/js/jquery-3.6.0.min.js'); ?>"></script>
        <script src="<?php echo base_url('public/assets/toastr/toastr.min.js');?>"></script>
        <link rel="stylesheet" href="<?php echo base_url('public/assets/toastr/toastr.min.css');?>">
        <link rel="stylesheet" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>


<script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>

        
<section class="home-section">
    <div class="home-content">
        <i class='bx bx-menu'></i>
        <!-- <span class="text">Drop Down Sidebar</span> -->
    </div>
    <div class="row m-0">
        <div class="col-sm-12">
            <h1 class="crt-pjt">Create Project</h1>
        </div>
    </div>
    <div class="container-fluid inp-lbl">
  <table id="datatable" class="display" style="width:90%">
                    <thead>
                        <tr>
                            <th>SL no</th>
                            <th>ID</th>
                            <th>Department</th>
                            <th>Date of proposal</th>
                            <th>Submission Date</th>
                            <th>Estimated Cost</th>
                            <th>Date Of Approval</th> 
                            <th>APM</th> 
                            <th>Engineer</th> 
                            <th>ADM Amount</th> 
                            <!-- <th>Start Date</th>  -->
                            <th>Release Amount</th> 
                            <!-- <th>Release Amount Part</th>  -->
                            <!-- <th>Expenditure</th> -->
                            <th>Status</th> 
                            <th>Action</th>
                          
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>

                <br />
                <div id="resultID"></div>
  </div>
</section>



<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11.10.8/dist/sweetalert2.all.min.js"></script>
<link href="https://cdn.jsdelivr.net/npm/sweetalert2@11.10.8/dist/sweetalert2.min.css" rel="stylesheet">

<script>
    var role = '<?php echo session()->get('role');?>';

    $(document).ready(function () {
        var table = $('#datatable').DataTable({
            pageLength: 20,
            ajax: {
                url: '<?php echo base_url("project-list-data"); ?>',
                dataSrc: ''
            },
            columns: [
                { data: null },
                { data: 'id', visible: false },
                { data: 'department_name' },
                { data: 'date_of_proposal' },
                { data: 'est_sub_date' },
                { data: 'estimated_cost' },
                { data: 'Date_of_approval' },
                { data: 'apm' },
                { data: 'engineer' },
                { data: 'adm_amount' },
                // { data: 'start_date' },
                { data: 'release_amount' },
                // { data: 'release_amt_part' },
                // { data: 'expenditure' },
                { data: 'status' },
              
                {
                    data: null,
                    render: function (data, type, row) {
                        var access = '<div class="crud--buttons">';
                        access += '<button class="btn edit--butt v-e-d" id="Edit--button" onclick="Edit(' + row.id + ')">Edit</button>';
                        access += '<button class="btn delete--butt v-e-d" id="delete--button" onclick="Delete(' + row.id + ')">Delete</button>';
                        access += '</div>';
                        return access;
                    }
                }
            ],
            rowCallback: function (row, data, index) {
                $('td:eq(0)', row).html(index + 1);
            },
            language: {
                emptyTable: "No data available"
            }
        });
    });
</script>

<!-- <script>
    function Edit(id) {
        window.location.href = '<?php echo base_url('project-edit/') ?>' + id;
    }
</script> -->



<script>
function Delete(Id) {
    Swal.fire({
        title: 'Are you sure?',
        text: "You won't be able to revert this!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, delete it!'
    }).then((result) => {
        if (result.isConfirmed) {
            $.ajax({
                url: '<?php echo base_url('project-delete/') ?>' + Id,
                method: 'POST',
                dataType: 'json',
                success: function (response) {
                    if (response.result == 1) {
                        Swal.fire({
                            icon: "success",
                            title: response.message,
                            showConfirmButton: false,
                            timer: 2000
                        });
                      
                        $('#datatable').DataTable().ajax.reload(null, false);
                    } else {
                        Swal.fire({
                            icon: "error",
                            title: "Failed to delete project",
                            showConfirmButton: false,
                            timer: 2000
                        });
                    }
                },
                error: function () {
                    console.log('Error deleting project');
                }
            });
        }
    });
}
</script>
<script>
    let arrow = document.querySelectorAll(".arrow");
    for (var i = 0; i < arrow.length; i++) {
        arrow[i].addEventListener("click", (e) => {
            let arrowParent = e.target.parentElement.parentElement;
            arrowParent.classList.toggle("showMenu");
        });
    }
    let sidebar = document.querySelector(".sidebar");
    let sidebarBtn = document.querySelector(".bx-menu");
    console.log(sidebarBtn);
    sidebarBtn.addEventListener("click", () => {
        sidebar.classList.toggle("close");
    });
</script>
<?php echo view('includes/footer'); ?>